将来的你, 肯定会感激现在拼命的自己。
  • php
  •  2014.12.19 16:28
  •  306

判断php版本是否大于等于某个版本的方法

简单直入,举个简单的例子:

判断php版本是否大于等于5.2.9 以前版本的array_unique只需第一个参数

$php_version = explode('-', phpversion()); 
$php_version = $php_version[0]; 
echo $php_version . '--'; 
//=0表示版本为5.2.9  =1表示大于5.2.9  =-1表示小于5.2.9 
$php_version_ge529 = strnatcasecmp($php_version, '5.2.9') >= 0 ? true : false;  
echo $php_version_ge529 ;

为方便使用,我把它封装成一个静态方法:

/**
  * 判断当前环境php版本是否大于大于等于指定的一个版本
  * @param sreing $version default=5.0.0
  * @return boolean
  * @author zyb <zyb_icanplay@163.com>
  */ 
 public static function is_php( $version = '5.0.0' ) { 
     $php_version = explode( '-', phpversion() ); 
     // =0表示版本为5.0.0  =1表示大于5.0.0  =-1表示小于5.0.0 
     $is_pass = strnatcasecmp( $php_version[0], $version ) >= 0 ? true : false; 
     return $is_pass; 
 }

 钟永标

个人头像


 热门推荐


 热门阅读